EDIT - feature request #7700

use TypeDesignationSetManager for creating typedesignation string in cdmlightExport
08/29/2018 01:00 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.3

Severity: normal

Description

Related issues:

Related to EDIT - feature request #6718: Constistent TypeDesignation represen... Duplicate
Related to EDIT - feature request #7695: web service providing compact TypeDe... In Progress
Related to EDIT - feature request #9262: Several open issues for cdmlight exp... Closed
Related to EDIT - feature request #9279: Improve type designation formatting ... Closed

Has duplicate EDIT - feature request #7694: cdmlight export output of types n... Duplicate
Blocked by EDIT - task #7553: move TypeDesignationSetManagerIT to cdmlib Closed

Associated revisions

Revision 0405e234 - 09/05/2018 02:53 PM - Katja Luther
ref #7700: use TypedesignationSetManager for creating TypeDesignationString for homotypic group in cdm light export

Revision d847eb88 - 09/05/2018 03:01 PM - Katja Luther
ref #7700: use TypedesignationSetManager for creating TypeDesignationString for homotypic group in cdm light export

Revision 12266827 - 09/05/2018 03:03 PM - Katja Luther

ref #7700: fide and parenthesis are separated separators in taggedText

Revision d1f60c6 - 04/01/2019 03:40 PM - Katja Luther

ref #7700:smaller changes in TypeDesignationManager (add fide citation)

Revision 817222b9 - 04/15/2019 03:53 PM - Katja Luther

ref #7700:smaller changes in TypeDesignationManager (add fide citation)

History

#1 - 08/29/2018 01:00 PM - Katja Luther
see also #7695

the typedesignationSetManager already do the deduplication of specimen for one homotypical group and creates a taggedText, we should use this in
cdmlightExport.

#2 - 08/29/2018 01:59 PM - Andreas Miiller

- Related to feature request #6718: Constistent TypeDesignation representation creation added

#3 - 08/29/2018 02:00 PM - Andreas Miuller

- Related to feature request #7695: web service providing compact TypeDesignation representation for homotypic groups and individual taxa added

#4 - 08/29/2018 02:02 PM - Andreas Miiller
- Related to feature request #7694: cdmlight export output of types needs to be adapted added

#5 - 08/30/2018 02:40 PM - Andreas Kohlbecker
- Blocked by task #7553: move TypeDesignationSetManagerIT to cdmlib added
https://dev.e-taxonomy.eu/redmine/issues/7695

#6 - 09/05/2018 03:03 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
#7 - 09/05/2018 03:05 PM - Katja Luther
the mail from WB:

Hallo,
habe mir das angesehen. Es gibt ja praktisch 3 Falle.

1. Gesamte information ist im Cache.
Bei fehlender Referenz ist der output hier ok:
Jumaat H. Adam, JHA 8000, Malaysia, Selangor, Campus Universiti Kebangsaan Malaysia. 2nd August 2001. Holotype (UKMB), Isotype (UKMB).
Der Punkt an Ende stammt allerdings aus dem Cache, der sollte, wenn fehlend, gesetzt werden, oder, wenn fide folgt, entfernt und am Ende gesetzt
werden. Das Setzen am Ende kann ich natirlich machen, das Entfernen notfalls auch (replace ,.. [, w ,, [,, allerdings kénnte das eventuell mit anderen
Texten kollidieren, da ich das wohl zunachst global machen wiirde.

Bei vorhandener Referenz:

Indonesia, Borneo, East Kalimantan, Berau Regency, Mount Nyapa (formaerly Njapa), along the Kelai River, 1000 m altitude, 25. 10. 1963,
Kostermans 21495 (holotype, L) & Kostermans 21495 Sheets | & Il (isotypes; K)[fide Robinson, Nerz & al. (2011)]

Hier fehlt das Leerzeichen zwischen Cache und fide Zitat, und der Punkt am Ende.
1. Gesamte Information ist atomisiert.
a) Nur ein Beleg:
Holotype: van Leeuwen 19834 (BO).[fide Robinson, Nerz & al. (2011)]
Alles gut, bis auf Punktsetzung und Leerzeichen. Zur Voranstellung der Type Category s.u.
Mit Angabe einer Akzessionsnummer:
Holotype: Philippines, Dinagat Island, M. Micheler & A. Wistuba s.n. (CMUH 00008636).
Auch gut (ich habe die Nennung des Herbars in der Akz.Nr. entfernt).
Mit weiteren Angaben (Geo):

Philippines, Mindanao Island, Davao Oriental Province, Mt. Hamiguitan, alt. 1300&4€"4€“4€"1600 m, V. Amoroso & R. Aspiras CMUH 00003545
(CMUH).

Gut! Auch die Punktsetzung.

b) Mehrere Belege:

Bei zwei verschiedenen Aufsammlungen:

Unknown type category: Philippines, Mauban, NA{e s.n. (P).Unknown type category: Madagascar, Commerson s.n. (P).
OK bis auf fehlendes Leerzeichen zwischen den Belegen.

Holotype: Borneo, Sarawak, Mt Mulu, western ridge, alt. 19008€a€“4€72400 m, 18.3.1964, Hotta 14791a. (KYO).Isotype: Borneo, Sarawak, Mt Mulu,
western ridge, alt. 19008€ a€"a€ 2400 m, 18.3.1964, Hotta 14791a. (L).

Im Prinzip korrekt, aber nicht dedupliziert. Bei der Deduplizierung funktioniert das mit dem Voranstellen der Kategorie dann auch nicht mehr.
Zielvorstellung ist folgendes:

Borneo, Sarawak, Mt Mulu, western ridge, alt. 19004€4€“4€72400 m, 18.3.1964, Hotta 14791a. (Holotype: KYO, Isotype(s): L).

Hier kommt dann noch die Komplikation hinzu, dass die Referenzierung verschieden sein kann — ist sie gleich wéare das etwa so:

(Holotype: KYO; Isotype(s): L [fide xxxy 1999]).

Sind sie aber verschieden, wird’s komplizierter:

(Holotype: KYO, Isotype(s): L [fide xxxy 1999]; B [fide abdc 2001]).

1. Mischung zwischen atomisiert und Cache
Ich glaube, dann Gbernimmt der Cache? Das ist eventuell problematisch, da ich (glaube ich) in einigen Fallen das Land herausgenommen und
atomisiert abgelegt habe, damit der Beleg auch in der Tabelle auftaucht — dieses dann aber aus dem Cache geléscht habe. Kann man wohl aber
nicht auf die Schnelle l6sen.

Herzlichen Gruf3
Walter

#8 - 09/06/2018 08:45 PM - Katja Luther
- Related to deleted (feature request #7694: cdmlight export output of types needs to be adapted)

#9 - 09/06/2018 08:45 PM - Katja Luther
- Related to deleted (feature request #7694: cdmlight export output of types needs to be adapted)

#10 - 09/06/2018 08:45 PM - Katja Luther
- Has duplicate feature request #7694: cdmlight export output of types needs to be adapted added

#11 - 10/22/2020 12:10 PM - Andreas Miiller
- Tags set to cdmlight

#12 - 10/22/2020 06:35 PM - Andreas Miiller

- Related to feature request #9262: Several open issues for cdmlight export related to Cactaceae and other Caryophallales added

#13 - 11/13/2020 08:54 AM - Andreas Miiller
- Related to feature request #9279: Improve type designation formatting and TypeDesignationSetManager added

#14 - 11/13/2020 08:58 AM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther
| think we can close this ticket as there is kind of a follow up ticket with #9279

#15 - 11/13/2020 08:58 AM - Andreas Miiller
- % Done changed from 0 to 100

#16 - 05/05/2021 10:35 AM - Andreas Kohlbecker
- Tags changed from cdmlight to cdmlight, type designation
